%%
set(0,'DefaultAxesFontSize', 16);
L = [0.4:0.001:0.75];
R = 0.75:0.005:3.5;
N = 8;
out =    tileFrequency(L, R,     0, N);
out_p =  tileFrequency(L, R,  45e6, N);
out_m =  tileFrequency(L, R, -45e6, N);
out_m9 = tileFrequency(L, R,  -9e6, N);
out_p9 = tileFrequency(L, R,   9e6, N);

%%
figure(1)
clf;

subplot(3,1,1)
imagesc(R,L,out_m);
set(gca, 'YDir', 'normal');
caxis([0 60]);

title('dF/f_{bw} for -45 MHz');

colorbar


subplot(3,1,2)
imagesc(R,L,out);
set(gca, 'YDir', 'normal');
title('dF/f_{bw} for 0 MHz');
caxis([0 60]);
colorbar

subplot(3,1,3)
imagesc(R,L,out_p);
set(gca, 'YDir', 'normal');
title('dF/f_{bw} for +45 MHz');
caxis([0 60]);

colorbar

%%
tot(:,:,1) = out_m;
tot(:,:,2) = out;
tot(:,:,3) = out_p;
tot9(:,:,1) = out_m9;
tot9(:,:,2) = out_p9;

mintot = min(tot,[],3);
mintot9 = min(tot9, [], 3);

figure(2)

imagesc(R,L,mintot)
set(gca, 'YDir', 'normal');
title(sprintf('dF/f_{bw} for 0, \\pm 45MHz, N < %d', N));
xlabel('Mirror ROC [m]');
ylabel('Cavity length [m]');
colorbar

figure(3)
imagesc(R,L, mintot9)
set(gca, 'YDir', 'normal');
title(sprintf('dF/f_{bw} for \\pm 9MHz, N < %d', N));
xlabel('Mirror ROC [m]');
ylabel('Cavity length [m]');
colorbar


%%
figure(4)
clf;
%hold on;
mm(:,:,1) = mintot;
mm(:,:,2) = mintot9;
mmm = min(mm, [], 3);
v = 20;

%imagesc(R,L,mmm);
%set(gca, 'YDir', 'normal');
%axis('tight')


%colorbar
colormap('hot');
[x,y,r] = findMaxCircle(L,R,mmm, 25);

title(sprintf('df/ f_{bw} for 0, \\pm 9, \\pm 45 MHz, N\\leq%d',  N));

%%
figure(44);
[tmp, rr] = min(abs(R-2));
clf;
plot(L, mmm(:,rr));


