function sbPower = makeSB(df, HOMandRF, FreqAndHOMidx, FSR, F, gouy)
% function sbPower = makeSB(df, HOMandRF, FreqAndHOMidx, FSR, F, gouy)
%
%   f                  a vector of frequency
%   HOMandRF           an array of powers in each HOM
%   FreqAndHOMidx      the corresponding frequency and HOM order
%   FSR                the cavity Free Spectral Range   
%   F                  the cavity Finesse
%   gouy               the round trip gouy phase in radians

sbPower = zeros(length(df), 5);

nFreqs = 5;
nHOMs = length(HOMandRF)/ nFreqs;

for jj = 1:nFreqs
    for kk = 1:nHOMs
        ii = (jj-1)*nHOMs+kk;
        fRF = FreqAndHOMidx(ii,1);
        n   = FreqAndHOMidx(ii,2);
        sbPower(:,jj) = ...
            HOMandRF(ii)*makeFringe(df,fRF, FSR, F, gouy, n).' + sbPower(:,jj);
    end
end